Bug 1027386 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
[abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:6f53dcf7afca0b749939a645201...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 12:23 EST by Gustavo Luiz Duarte
Modified: 2015-02-17 14:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:06:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (120.20 KB, text/plain)
2013-11-06 12:23 EST, Gustavo Luiz Duarte
no flags Details

  None (edit)
Description Gustavo Luiz Duarte 2013-11-06 12:23:38 EST
Description of problem:
I left the machine idle for a moment, when I came back the screen was frozen. Mouse or keyboard didn't respond. The network seemed to be working but I didn't have an ssh server running.  I had to hard-reboot the machine. Unfortunately, I don't have much further info on how to reproduce this issue, I hope the logs are helpful.

Additional info:
reporter:       libreport-2.1.8
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffff81149daa>] put_page+0xa/0x60
PGD 11f3c8067 PUD 11f3c7067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: xt_CHECKSUM nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_security iptable_raw xt_LOG xt_limit nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack fuse tun uvcvideo iTCO_wdt iTCO_vendor_support coretemp videobuf2_vmalloc mxm_wmi videobuf2_memops videobuf2_core videodev kvm_intel media btusb kvm bluetooth snd_hda_codec_hdmi snd_hda_codec_conexant arc4 iwldvm snd_hda_intel mac80211 snd_hda_codec e1000e snd_hwdep sdhci_pci sdhci snd_seq snd_seq_device snd_pcm snd_page_alloc mmc_core microcode snd_timer serio_raw ptp iwlwifi cfg80211 thinkpad_acpi i2c_i801 snd pps_core mei_me intel_ips shpchp soundcore mei wmi lpc_ich mfd_core rfkill acpi_cpufreq mperf uinput binfmt_misc dm_crypt i915 crc32_pclmul crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper firewire_ohci drm firewire_core crc_itu_t i2c_core video [last unloaded: iptable_mangle]
CPU: 0 PID: 950 Comm: Xorg Not tainted 3.11.6-200.fc19.x86_64 #1
Hardware name: LENOVO 2522AV1/2522AV1, BIOS 6IET74WW (1.34 ) 10/25/2010
task: ffff880131fdbd00 ti: ffff88011f1be000 task.ti: ffff88011f1be000
RIP: 0010:[<ffffffff81149daa>]  [<ffffffff81149daa>] put_page+0xa/0x60
RSP: 0018:ffff88011f1bfcc0  EFLAGS: 00010202
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: ffff88011ba53c00 RSI: 00000000000004a3 RDI: 0000000000000000
RBP: ffff88011f1bfcc8 R08: ffff880110be4230 R09: 0000000000000001
R10: ffffffffa00534e0 R11: ffff88011f1bfe18 R12: ffff880110be4180
R13: 0000160000000000 R14: ffff88012f6ac000 R15: ffff88012f6ac000
FS:  00007f8bc0990980(0000) GS:ffff880137c00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000011f3c5000 CR4: 00000000000007f0
Stack:
 0000000000000000 ffff88011f1bfd08 ffffffffa00dd253 ffff88011ba53c00
 000004a200000000 ffff880100000001 ffff880110be4180 0000000000000000
 ffffffffa012e6c0 ffff88011f1bfd30 ffffffffa00da3cb ffff880110be4180
Call Trace:
 [<ffffffffa00dd253>] i915_gem_object_put_pages_gtt+0xc3/0x1a0 [i915]
 [<ffffffffa00da3cb>] i915_gem_object_put_pages+0x4b/0xa0 [i915]
 [<ffffffffa00dfc46>] i915_gem_free_object+0x86/0x1b0 [i915]
 [<ffffffffa003881a>] drm_gem_object_free+0x2a/0x30 [drm]
 [<ffffffffa0038c2e>] drm_gem_handle_delete+0xfe/0x150 [drm]
 [<ffffffffa0039238>] drm_gem_close_ioctl+0x28/0x30 [drm]
 [<ffffffffa0037142>] drm_ioctl+0x532/0x660 [drm]
 [<ffffffff811bcbcf>] ? __d_free+0x3f/0x60
 [<ffffffff811bcbcf>] ? __d_free+0x3f/0x60
 [<ffffffff810906b4>] ? lg_global_unlock+0x44/0x60
 [<ffffffff811c59c6>] ? mntput_no_expire+0xd6/0x120
 [<ffffffff811b9f6d>] do_vfs_ioctl+0x2dd/0x4b0
 [<ffffffff811a9d8e>] ? ____fput+0xe/0x10
 [<ffffffff81085324>] ? task_work_run+0xa4/0xe0
 [<ffffffff811ba1c1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81656e99>] system_call_fastpath+0x16/0x1b
Code: 01 75 f3 e9 b5 fe ff ff be 4d 01 00 00 48 c7 c7 f9 ab 9e 81 e8 88 d4 f1 ff e9 9f fe ff ff 0f 1f 00 66 66 66 66 90 55 48 89 e5 53 <48> f7 07 00 c0 00 00 48 89 fb 75 30 8b 47 1c 85 c0 74 16 f0 ff 
RIP  [<ffffffff81149daa>] put_page+0xa/0x60
 RSP <ffff88011f1bfcc0>
CR2: 0000000000000000
Comment 1 Gustavo Luiz Duarte 2013-11-06 12:23:45 EST
Created attachment 820598 [details]
File: dmesg
Comment 2 Fedora End Of Life 2015-01-09 15:29:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:06:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.